Package edu.msu.cme.rdp.classifier.train.validation

# Class ValidationClassificationResult

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.ValidationClassificationResult

public class ValidationClassificationResult extends Object

## Constructor Summary

Constructors
Constructor
Description
`ValidationClassificationResult(HierarchyTree t, float vote)`
`ValidationClassificationResult(HierarchyTree t, float f, float vote)`
Creates new ClassificationResult

## Method Summary

Modifier and Type
Method
Description
`HierarchyTree`
`getBestClass()`
`float`
`getNumOfVotes()`
`double`
`getPosteriorProb()`
`void`
`setNumOfVotes(float f)`
`void`
`setPosteriorProb(double p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValidationClassificationResult

public ValidationClassificationResult(HierarchyTree t, float f, float vote)
Creates new ClassificationResult

### ValidationClassificationResult

public ValidationClassificationResult(HierarchyTree t, float vote)

## Method Details

### getBestClass

public HierarchyTree getBestClass()

### getNumOfVotes

public float getNumOfVotes()

### setNumOfVotes

public void setNumOfVotes(float f)

### setPosteriorProb

public void setPosteriorProb(double p)

### getPosteriorProb

public double getPosteriorProb()